summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-07-12 20:36:02 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-07-12 20:36:02 +0200
commit4186eabcad11c1cf1a6fdc6a555b72404eee0137 (patch)
tree7a07ac977ec9f17772623b3ec02801d5dad964f9 /kde-apps/artikulate
parentapp-crypt/certbot: fixing acme dep (diff)
downloadgentoo-4186eabcad11c1cf1a6fdc6a555b72404eee0137.tar.gz
gentoo-4186eabcad11c1cf1a6fdc6a555b72404eee0137.tar.bz2
gentoo-4186eabcad11c1cf1a6fdc6a555b72404eee0137.zip
kde-apps: Add KDE Applications 18.04.3
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Diffstat (limited to 'kde-apps/artikulate')
-rw-r--r--kde-apps/artikulate/Manifest1
-rw-r--r--kde-apps/artikulate/artikulate-18.04.3.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/kde-apps/artikulate/Manifest b/kde-apps/artikulate/Manifest
index 1c291899a10..ee8a35e6ec9 100644
--- a/kde-apps/artikulate/Manifest
+++ b/kde-apps/artikulate/Manifest
@@ -1,2 +1,3 @@
DIST artikulate-17.12.3.tar.xz 3747444 BLAKE2B 69ab847203f3a6ee408435320d3973d48d55501010ce34c329605ea653cd26a0e2c8a082fba3d91e610f153193441db310cd58416ba6f1907d3680f35197f6f2 SHA512 b984eb53a78bac012a9918a24d995dd89413225ebbd0bda29dd6840ccb14f40efc14b80b0ea6a5df335dcf28f7bb45ad8d1af8296a8d761e4ae48288f2354a23
DIST artikulate-18.04.2.tar.xz 3747856 BLAKE2B 97add140fcca2da11881416b188df5e57d433d2df96385aa3d09416ce8f4d55b436f4e0105e04734bd02ac4f353252f5e53c8dc911f19d3556d762e33500cb86 SHA512 924ba33422fd8814efd72dacc3276683e14cf52fb1409b03ae76c357018044662dd95b7153b8e8d216199242b0c67fdf4039b52009203195288a4259fc670e15
+DIST artikulate-18.04.3.tar.xz 3748684 BLAKE2B ba7c6a78c6e5fb074b610beb60dccbbe3b159a9df90ef2c65e9e7a2d4c44ec6665ef1ca1644043e104624a31c17c4a4e9f8dc9baafb17bb7b9a356d4d6933135 SHA512 4fa7c6d24d0dd13bb3810545426a626d1c84c72b083e410b70524aa4cbe621f577494b8f60c309dbecdab036353cc9fffb6c8fcf71a3607f13469001395f474f
diff --git a/kde-apps/artikulate/artikulate-18.04.3.ebuild b/kde-apps/artikulate/artikulate-18.04.3.ebuild
new file mode 100644
index 00000000000..9c910d95fd1
--- /dev/null
+++ b/kde-apps/artikulate/artikulate-18.04.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="true"
+inherit kde5
+
+DESCRIPTION="Language learning application that helps improving pronunciation skills"
+HOMEPAGE="https://edu.kde.org/applications/language/artikulate"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gstreamer qtmedia"
+
+REQUIRED_USE="|| ( gstreamer qtmedia )"
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ $(add_qt_dep qtxmlpatterns)
+ gstreamer? ( >=media-libs/qt-gstreamer-1.2.0[qt5(+)] )
+ qtmedia? ( $(add_qt_dep qtmultimedia) )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_GSTREAMER_PLUGIN=$(usex gstreamer)
+ -DBUILD_QTMULTIMEDIA_PLUGIN=$(usex qtmedia)
+ )
+
+ kde5_src_configure
+}